Retail Express API 2.1

Gets specific Product Barcode by unique Product Barcode id and Product id

Gets specific Product Barcode by unique Product Barcode id and Product id

get
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Barcode

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

get/products/{id}/barcodes/{barcode_id}
 
application/json

Updates Product Barcode by Product id and Product Barcode id.

Sample request:

PUT /products/2/barcodes/1
 {
    "barcode": "BARCODENAME1", 
    "enabled": true
 }
put
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Barcode model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Barcode was updated

ProductBarcode

Product Barcode model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Barcode id.

barcodestringrequired

Product Barcode name.

Match pattern:^[A-Za-z\d/-]*$

>= 0 characters<= 50 characters

enabledboolean

Product Barcode enabled.

product_idinteger(int32)

Product id

created_onstring(date-time)

Date of creation of Product Barcode

modified_onstring(date-time)

Date of last modification of Product Barcode

put/products/{id}/barcodes/{barcode_id}

Body

{}
 
application/json

Deletes specific Product Barcode by id

Deletes specific Product Barcode by id

delete
https://api.retailexpress.com.au/v2.1/products/{id}/barcodes/{barcode_id}

Path Parameters

idinteger(int32)required

Product id

barcode_idinteger(int32)required

Product Barcode id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Product Barcode was deleted

delete/products/{id}/barcodes/{barcode_id}
 

Creates product suppliers for a specific product

Sample request:

POST /products/123/suppliers
[
  {
    "supplier_code": "00",
    "supplier_buy_ex": 1.1,
    "supplier_sku2": "SupplierSKU2",
    "lead_time": 4,
    "is_default": true,
    "notes": "This is a Note."
  }
]
post
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers

Path Parameters

idinteger(int32)required

Product ID

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

List of product suppliers to create

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product suppliers created successfully

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

post/products/{id}/suppliers

Body

{}
 
application/json

Gets all suppliers for a specific product

Gets all suppliers for a specific product

get
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers

Path Parameters

idinteger(int32)required

Product ID

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Product suppliers retrieved successfully

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

get/products/{id}/suppliers
 
application/json